dbXML API

## org.xmldb.api.reference.modules
Class XMLResourceImpl

    java.lang.Object
      |
      +--org.xmldb.api.sdk.modules.BaseResource
            |
            +--org.xmldb.api.sdk.modules.SimpleXMLResource
                  |
                  +--org.xmldb.api.reference.modules.XMLResourceImpl

All Implemented Interfaces:
  Resource, XMLResource

public class XMLResourceImpl
extends SimpleXMLResource

Provides access to XML resources stored in the file system. This is a default implementation derived from SimpleXMLResource that is part of the SDK.

Fields inherited from interface org.xmldb.api.modules.XMLResource
`RESOURCE_TYPE`

Constructor Summary
`XMLResourceImpl(Collection parent, java.lang.String id)`
`XMLResourceImpl(Collection parent, java.lang.String id, java.lang.String content)`

Methods inherited from class org.xmldb.api.sdk.modules.SimpleXMLResource
`getContent, getContentAsDOM, getContentAsSAX, getResourceType, setContent, setContentAsDOM, setContentAsSAX`

Methods inherited from class org.xmldb.api.sdk.modules.BaseResource
`getId, getParentCollection`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.xmldb.api.modules.XMLResource
`getDocumentId`

Methods inherited from interface org.xmldb.api.base.Resource
`getId, getParentCollection`

Constructor Detail

### XMLResourceImpl

    public XMLResourceImpl(Collection parent,
                           java.lang.String id)

### XMLResourceImpl

    public XMLResourceImpl(Collection parent,
                           java.lang.String id,
                           java.lang.String content)

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved